Type to search.

Fleet Server breaking changes

Stack

The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.

Availability

  • Generally available

    This functionality is generally available and ready for production usage.

Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.

This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Breaking changes can impact your Elastic applications, potentially disrupting normal operations. Before you upgrade, carefully review the Fleet Server breaking changes and take the necessary steps to mitigate any issues. To learn how to upgrade, check Upgrade.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

No breaking changes.

Removed deprecated epm Fleet APIs

Removed GET/POST/DELETE /epm/packages/:pkgkey APIs in favor of the GET/POST/DELETE /epm/packages/:pkgName/:pkgVersion.

Impact

  • Removed experimental query parameter in GET /epm/packages and GET /epm/categories
  • Removed response in response in * /epm/packages* and GET /epm/categories
  • Removed savedObject in /epm/packages response in favor of installationInfo

For more information, check #198434.

Removed deprecated Fleet APIs for agents endpoints

Removed the following API endpoints:

  • POST /service-tokens in favor of POST /service_tokens
  • GET /agent-status in favor GET /agent_status
  • PUT /agents/:agentid/reassign in favor of POST /agents/:agentid/reassign

Removed deprecated parameters or responses:

  • Removed total from GET /agent_status response
  • Removed list from GET /agents response

For more information, check #198313.

Removed deprecated settings API endpoints in Fleet
  • GET/DELETE/POST enrollment-api-keys: removed in favor of GET/DELETE/POST enrollment_api_keys
  • Removed list property from GET enrollment_api_keys response in favor of items
  • GET/POST /settings: fleet_server_hosts was removed from the response and body

For more information, check #198799.

Removed deprecated settings API endpoints in Fleet
  • GET/DELETE/POST enrollment-api-keys: removed in favor of GET/DELETE/POST enrollment_api_keys
  • Removed list property from GET enrollment_api_keys response in favor of items
  • GET/POST /settings: fleet_server_hosts was removed from the response and body

For more information, check #198799.

Removed deprecated topics property for kafka output in favor of the topic property

Removed deprecated property topics from output APIs in response and requests ((GET|POST|PUT) /api/fleet/outputs) in favor of the topic property.

For more information, check #199226.

Limit pagination size to 100 when retrieving full policy or withAgentCount in Fleet

In addition to the new pagination limit size of 100, retrieving agent policies without agent count is now the new default behavior, and a new query parameter withAgentCount was added to retrieve the agent count.

For more information, check #196887.